Google API
Manage connection to Google services including Google Drive and Google Calendar.
Available Endpoints
| Method |
Path |
Description |
| GET |
/api/google-api/drive/authorize |
Get Google Drive auth link |
| POST |
/api/google-api/drive/token |
Save Google Drive token |
| GET |
/api/google-api/calendar/authorize |
Get Google Calendar auth link |
| POST |
/api/google-api/calendar/token |
Save Google Calendar token |
| GET |
/api/google-api/calendar/own/authorize |
Get personal calendar auth link |
| POST |
/api/google-api/calendar/own/token |
Save personal calendar token |
Example Request
curl -X GET "https://example.com/api/google-api/drive/authorize" \
-H "Authorization: Bearer {token}"
Success Response (200)
{
"url": "https://accounts.google.com/o/oauth2/auth?..."
}
Errors
| Code |
Description |
| 401 |
Invalid token |
| 403 |
Access denied |